require 'spec_helper'

RSpec.describe PixivApi::Request::Friends do
  stub_pixiv_api_client

  describe '#friends' do
    subject do
      cassette('users_friends_success') { client.friends }
    end

    it { is_expected.to all(be_a(PixivApi::Response::Friend)) }
    it_behaves_like 'contained pagination'
  end
end
