require 'spec_helper'

RSpec.describe PixivApi::Request::Works do
  stub_pixiv_api_client

  describe '#my_works' do
    context 'with no argument' do
      subject do
        cassette('works_success') { client.my_works(params: { page: 2 }) }
      end

      it { is_expected.to all(be_a(PixivApi::Response::Illustration)) }
      it_behaves_like 'contained pagination'
    end
  end
end
