require 'spec_helper'

RSpec.describe PixivApi::PixivBlob do
  let(:url) { 'http://i2.pixiv.net/c/600x600/img-master/img/2015/07/26/21/49/36/51625741_p0_master1200.jpg' }
  subject(:blob) { described_class.new(url) }

  describe '#read' do
    subject { blob.read }

    it 'returns content' do
      is_expected.to_not be_nil
    end
  end

  describe '#to_path' do
    subject { blob.to_path }

    it 'returns content' do
      is_expected.to_not be_nil
      expect(File).to be_exists(subject)
    end
  end
end
